<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDDFShapeProperties (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDDFShapeProperties (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFShapeProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFShape3D.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFSolidFillProperties.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xddf/usermodel/XDDFShapeProperties.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFShapeProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel</div>
    <h2 title="Class XDDFShapeProperties" class="title">Class XDDFShapeProperties</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xddf.usermodel.XDDFShapeProperties</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">XDDFShapeProperties</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#XDDFShapeProperties--">XDDFShapeProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#XDDFShapeProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties-">XDDFShapeProperties</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/BlackWhiteMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel">BlackWhiteMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#getBlackWhiteMode--">getBlackWhiteMode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFCustomGeometry2D</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#getCustomGeometry2D--">getCustomGeometry2D</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFEffectContainer.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectContainer</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#getEffectContainer--">getEffectContainer</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFEffectList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectList</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#getEffectList--">getEffectList</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#getExtensionList--">getExtensionList</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFFillProperties.html"
                                        title="interface in org.apache.poi.xddf.usermodel">XDDFFillProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#getFillProperties--">getFillProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLineProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#getLineProperties--">getLineProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetGeometry2D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPresetGeometry2D</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#getPresetGeometry2D--">getPresetGeometry2D</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFScene3D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFScene3D</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#getScene3D--">getScene3D</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShape3D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFShape3D</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#getShape3D--">getShape3D</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFTransform2D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFTransform2D</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#getTransform2D--">getTransform2D</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#getXmlObject--">getXmlObject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#setBlackWhiteMode-org.apache.poi.xddf.usermodel.BlackWhiteMode-">setBlackWhiteMode</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/BlackWhiteMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel">BlackWhiteMode</a>&nbsp;mode)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#setCustomGeometry2D-org.apache.poi.xddf.usermodel.XDDFCustomGeometry2D-">setCustomGeometry2D</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFCustomGeometry2D</a>&nbsp;geometry)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#setEffectContainer-org.apache.poi.xddf.usermodel.XDDFEffectContainer-">setEffectContainer</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFEffectContainer.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectContainer</a>&nbsp;container)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#setEffectList-org.apache.poi.xddf.usermodel.XDDFEffectList-">setEffectList</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFEffectList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectList</a>&nbsp;list)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#setExtensionList-org.apache.poi.xddf.usermodel.XDDFExtensionList-">setExtensionList</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a>&nbsp;list)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#setFillProperties-org.apache.poi.xddf.usermodel.XDDFFillProperties-">setFillProperties</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFFillProperties.html"
                                        title="interface in org.apache.poi.xddf.usermodel">XDDFFillProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#setLineProperties-org.apache.poi.xddf.usermodel.XDDFLineProperties-">setLineProperties</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLineProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#setPresetGeometry2D-org.apache.poi.xddf.usermodel.XDDFPresetGeometry2D-">setPresetGeometry2D</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetGeometry2D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPresetGeometry2D</a>&nbsp;geometry)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#setScene3D-org.apache.poi.xddf.usermodel.XDDFScene3D-">setScene3D</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFScene3D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFScene3D</a>&nbsp;scene)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#setShape3D-org.apache.poi.xddf.usermodel.XDDFShape3D-">setShape3D</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShape3D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFShape3D</a>&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html#setTransform2D-org.apache.poi.xddf.usermodel.XDDFTransform2D-">setTransform2D</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFTransform2D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFTransform2D</a>&nbsp;transform)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDDFShapeProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XDDFShapeProperties</h4>
                                <pre>public&nbsp;XDDFShapeProperties()</pre>
                            </li>
                        </ul>
                        <a name="XDDFShapeProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDDFShapeProperties</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;XDDFShapeProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties&nbsp;properties)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getXmlObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXmlObject</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties&nbsp;getXmlObject()</pre>
                            </li>
                        </ul>
                        <a name="getBlackWhiteMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBlackWhiteMode</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/BlackWhiteMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel">BlackWhiteMode</a>&nbsp;getBlackWhiteMode()</pre>
                            </li>
                        </ul>
                        <a name="setBlackWhiteMode-org.apache.poi.xddf.usermodel.BlackWhiteMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBlackWhiteMode</h4>
                                <pre>public&nbsp;void&nbsp;setBlackWhiteMode(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/BlackWhiteMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel">BlackWhiteMode</a>&nbsp;mode)</pre>
                            </li>
                        </ul>
                        <a name="getFillProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFillProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFFillProperties.html"
                                        title="interface in org.apache.poi.xddf.usermodel">XDDFFillProperties</a>&nbsp;getFillProperties()</pre>
                            </li>
                        </ul>
                        <a name="setFillProperties-org.apache.poi.xddf.usermodel.XDDFFillProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFillProperties</h4>
                                <pre>public&nbsp;void&nbsp;setFillProperties(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFFillProperties.html"
                                        title="interface in org.apache.poi.xddf.usermodel">XDDFFillProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getLineProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLineProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLineProperties</a>&nbsp;getLineProperties()</pre>
                            </li>
                        </ul>
                        <a name="setLineProperties-org.apache.poi.xddf.usermodel.XDDFLineProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLineProperties</h4>
                                <pre>public&nbsp;void&nbsp;setLineProperties(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLineProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getCustomGeometry2D--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCustomGeometry2D</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFCustomGeometry2D</a>&nbsp;getCustomGeometry2D()</pre>
                            </li>
                        </ul>
                        <a name="setCustomGeometry2D-org.apache.poi.xddf.usermodel.XDDFCustomGeometry2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCustomGeometry2D</h4>
                                <pre>public&nbsp;void&nbsp;setCustomGeometry2D(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFCustomGeometry2D</a>&nbsp;geometry)</pre>
                            </li>
                        </ul>
                        <a name="getPresetGeometry2D--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPresetGeometry2D</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetGeometry2D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPresetGeometry2D</a>&nbsp;getPresetGeometry2D()</pre>
                            </li>
                        </ul>
                        <a name="setPresetGeometry2D-org.apache.poi.xddf.usermodel.XDDFPresetGeometry2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPresetGeometry2D</h4>
                                <pre>public&nbsp;void&nbsp;setPresetGeometry2D(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetGeometry2D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPresetGeometry2D</a>&nbsp;geometry)</pre>
                            </li>
                        </ul>
                        <a name="getEffectContainer--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEffectContainer</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFEffectContainer.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectContainer</a>&nbsp;getEffectContainer()</pre>
                            </li>
                        </ul>
                        <a name="setEffectContainer-org.apache.poi.xddf.usermodel.XDDFEffectContainer-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEffectContainer</h4>
                                <pre>public&nbsp;void&nbsp;setEffectContainer(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFEffectContainer.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectContainer</a>&nbsp;container)</pre>
                            </li>
                        </ul>
                        <a name="getEffectList--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEffectList</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFEffectList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectList</a>&nbsp;getEffectList()</pre>
                            </li>
                        </ul>
                        <a name="setEffectList-org.apache.poi.xddf.usermodel.XDDFEffectList-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEffectList</h4>
                                <pre>public&nbsp;void&nbsp;setEffectList(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFEffectList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectList</a>&nbsp;list)</pre>
                            </li>
                        </ul>
                        <a name="getExtensionList--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExtensionList</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a>&nbsp;getExtensionList()</pre>
                            </li>
                        </ul>
                        <a name="setExtensionList-org.apache.poi.xddf.usermodel.XDDFExtensionList-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setExtensionList</h4>
                                <pre>public&nbsp;void&nbsp;setExtensionList(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a>&nbsp;list)</pre>
                            </li>
                        </ul>
                        <a name="getScene3D--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getScene3D</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xddf/usermodel/XDDFScene3D.html"
                                                    title="class in org.apache.poi.xddf.usermodel">XDDFScene3D</a>&nbsp;getScene3D()</pre>
                            </li>
                        </ul>
                        <a name="setScene3D-org.apache.poi.xddf.usermodel.XDDFScene3D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setScene3D</h4>
                                <pre>public&nbsp;void&nbsp;setScene3D(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFScene3D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFScene3D</a>&nbsp;scene)</pre>
                            </li>
                        </ul>
                        <a name="getShape3D--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShape3D</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xddf/usermodel/XDDFShape3D.html"
                                                    title="class in org.apache.poi.xddf.usermodel">XDDFShape3D</a>&nbsp;getShape3D()</pre>
                            </li>
                        </ul>
                        <a name="setShape3D-org.apache.poi.xddf.usermodel.XDDFShape3D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setShape3D</h4>
                                <pre>public&nbsp;void&nbsp;setShape3D(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFShape3D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFShape3D</a>&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="getTransform2D--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTransform2D</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFTransform2D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFTransform2D</a>&nbsp;getTransform2D()</pre>
                            </li>
                        </ul>
                        <a name="setTransform2D-org.apache.poi.xddf.usermodel.XDDFTransform2D-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setTransform2D</h4>
                                <pre>public&nbsp;void&nbsp;setTransform2D(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFTransform2D.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFTransform2D</a>&nbsp;transform)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFShapeProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFShape3D.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFSolidFillProperties.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xddf/usermodel/XDDFShapeProperties.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFShapeProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
